{include file='header' pageTitle='wcf.acp.jwtservice.list'}

{if $objects|count}
	<script data-relocate="true">
		$(function() {
			new WCF.Action.Delete('wcf\\data\\jwt\\JWTServiceAction', $('.jwtServiceRow'));
		});
	</script>
{/if}

<header class="contentHeader">
	<div class="contentHeaderTitle">
		<h1 class="contentTitle">{lang}wcf.acp.jwtservice.list{/lang}{if $items} <span class="badge badgeInverse">{#$items}</span>{/if}</h1>
	</div>
	
	<nav class="contentHeaderNavigation">
		<ul>
			<li><a href="{link controller='JWTServiceAdd'}{/link}" class="button"><span class="icon icon16 fa-plus"></span> <span>{lang}wcf.acp.jwtservice.add{/lang}</span></a></li>
			
			{event name='contentHeaderNavigation'}
		</ul>
	</nav>
</header>

{hascontent}
	<div class="paginationTop">
		{content}{pages print=true assign=pagesLinks controller="JWTServiceList" link="pageNo=%d"}{/content}
	</div>
{/hascontent}

{hascontent}
	<div id="userTableContainer" class="section tabularBox">
		<table class="table">
			<thead>
				<tr>
					<th class="columnID" colspan="2">{lang}wcf.global.objectID{/lang}</th>
					<th class="columnName">{lang}wcf.acp.jwtservice.name{/lang}</th>
					<th class="columnAlgorithm">{lang}wcf.acp.jwtservice.algorithm{/lang}</th>
					{event name='columnHeads'}
				</tr>
			</thead>

			<tbody>
				{content}
					{foreach from=$objects item=jwtService}
						<tr class="jwtServiceRow">
							<td class="columnIcon">
								<a href="{link controller='JWTServiceEdit' id=$jwtService->jwtServiceID}{/link}" title="{lang}wcf.global.button.edit{/lang}" class="jsTooltip"><span class="icon icon16 fa-pencil"></span></a>
								<span class="icon icon16 fa-times jsTooltip jsDeleteButton pointer" title="{lang}wcf.global.button.delete{/lang}" data-object-id="{@$jwtService->jwtServiceID}" data-confirm-message-html="{lang __encode=true}wcf.acp.jwtservice.delete.sure{/lang}"></span>
								{event name='rowButtons'}
							</td>
							<td class="columnID">{@$jwtService->jwtServiceID}</td>
							<td class="columnName">{$jwtService->name}</td>
							<td class="columnAlgorithm">{$jwtService->algorithm}</td>
							{event name='columns'}
						</tr>
					{/foreach}
				{/content}
			</tbody>
		</table>
	</div>
{hascontentelse}
	<p class="info">{lang}wcf.global.noItems{/lang}</p>
{/hascontent}

{include file='footer'}
