<?php
namespace wcf\data\jwt;
use wcf\data\DatabaseObjectEditor;
use wcf\system\cache\builder\SmileyCacheBuilder;

/**
 * Provides functions to edit jwt services.
 * 
 * @author	Franz Reiter (Howaner)
 * @copyright	2019 Franz Reiter
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.howaner.jwt
 * 
 * @method static	JWTService		create(array $parameters = [])
 * @method		JWTService		getDecoratedObject()
 * @mixin		JWTService
 */
class JWTServiceEditor extends DatabaseObjectEditor {
	/**
	 * @inheritDoc
	 */
	public static $baseClass = JWTService::class;
}
